{% extends 'base.html.twig' %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        {% block buildingUnitHeaderBackButton %}
            {% set lastVisitedPageClass = 'App\\Domain\\Entity\\LastVisitedPage' %}

            {% if buildingUnit.isArchived() == true %}
                {% set buildingUnitArchiveOverviewLastVisitedPage = fetch_object_from_session(lastVisitedPageClass, 'buildingUnitArchiveOverview') %}
                {% if buildingUnitArchiveOverviewLastVisitedPage != null %}
                    {% set buildingUnitOverviewPagePath = path(buildingUnitArchiveOverviewLastVisitedPage.getRouteName(), buildingUnitArchiveOverviewLastVisitedPage.getParameters()) %}
                {% else %}
                    {% set buildingUnitOverviewPagePath = path('property_vacancy_management_building_unit_archive_overview_map') %}
                {% endif %}
            {% else %}
                {% set buildingUnitOverviewLastVisitedPage = fetch_object_from_session(lastVisitedPageClass, 'buildingUnitOverview') %}
                {% if buildingUnitOverviewLastVisitedPage != null %}
                    {% set buildingUnitOverviewPagePath = path(buildingUnitOverviewLastVisitedPage.getRouteName(), buildingUnitOverviewLastVisitedPage.getParameters()) %}
                {% else %}
                    {% set buildingUnitOverviewPagePath = path('property_vacancy_management_building_unit_overview_map') %}
                {% endif %}
            {% endif %}
            <a href="{{ buildingUnitOverviewPagePath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        {% endblock %}
        {% block buildingUnitHeaderContent %}
            <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
        {% endblock %}
    </div>
{% endblock %}

{% block tabBar %}
    {% set tabs = [
        {'name': 'Grunddaten', 'id': 'building_unit_basic_data_tab', 'url': path('property_vacancy_management_building_unit_basic_data', {'buildingUnitId': buildingUnit.getId()}), 'active': false},
        {'name': 'Objektdetails', 'id': 'building_unit_detail_tab', 'url': path('property_vacancy_management_building_unit_detail', {'buildingUnitId': buildingUnit.getId()}), 'active': false},
        {'name': 'Lagekarte', 'id': 'building_unit_location_map_tab', 'url': path('property_vacancy_management_building_unit_location_map', {'buildingUnitId': buildingUnit.getId()}), 'active': false},
        {'name': 'Fotos', 'id': 'building_unit_photo_overview_tab', 'url': path('property_vacancy_management_building_unit_photo_overview', {'buildingUnitId': buildingUnit.getId()}), 'active': false},
        {'name': 'Dokumente', 'id': 'building_unit_document_overview_tab', 'url': path('property_vacancy_management_building_unit_document_overview', {'buildingUnitId': buildingUnit.getId()}), 'active': false},
    ] %}

    {% if buildingUnit.getAccount().getParentAccount == null %}
        {% set tabs = tabs|merge([
            {'name': 'Eigentümer', 'id': 'building_unit_property_owner_tab', 'url': path('property_vacancy_management_building_unit_property_owner_overview', {'buildingUnitId': buildingUnit.getId()}), 'active': false},
            {'name': 'Nutzer', 'id': 'building_unit_property_user_tab', 'url': path('property_vacancy_management_building_unit_property_user_overview', {'buildingUnitId': buildingUnit.getId()}), 'active': false},
            {'name': 'Ansprechpersonen', 'id': 'building_unit_property_contact_person_tab', 'url': path('property_vacancy_management_building_unit_property_contact_person_overview', {'buildingUnitId': buildingUnit.getId()}), 'active': false},
        ]) %}
    {% else %}
        {% if is_granted('ROLE_RESTRICTED_VIEWER') == false %}
            {% set tabs = tabs|merge([
                {'name': 'Ansprechperson', 'id': 'building_unit_external_contact_person_tab', 'url': path('property_vacancy_management_building_unit_external_contact_person', {'buildingUnitId': buildingUnit.getId()}), 'active': false},
            ]) %}
        {% endif %}
    {% endif %}

    {% set tabs = tabs|merge([
        {'name': 'Vermarktung', 'id': 'building_unit_property_marketing_information_tab', 'url': path('property_vacancy_management_building_unit_property_marketing_information', {'buildingUnitId': buildingUnit.getId()}), 'active': false},
    ]) %}

    {% include 'component/mdc_tab_bar_component.html.twig' with {'id': 'building_unit_page_tab_bar','tabs': tabs} only %}
{% endblock %}
